juzu.request

## Class RequestContext

- java.lang.Object
- - juzu.request.RequestContext

- Direct Known Subclasses:
    ActionContext, EventContext, MimeContext

      public abstract class RequestContext
      extends Object

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestContext(juzu.impl.request.Request request, juzu.impl.request.Method method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.Method<Phase.Action> method)`
    `Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.Method<Phase.Action> method, Object arg)`
    `Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.Method<Phase.Action> method, Object[] args)`
    `Dispatch` | `createDispatch(juzu.impl.request.Method<?> method)` Create a dispatch object with unset parameters.
    `Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method)`
    `Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method, Object arg)`
    `Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method, Object[] args)`
    `Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.Method<Phase.View> method)`
    `Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.Method<Phase.View> method, Object arg)`
    `Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.Method<Phase.View> method, Object[] args)`
    `ApplicationContext` | `getApplicationContext()`
    `Executor` | `getExecutor()` Provide an `Executor` the specified modes.
    `HttpContext` | `getHttpContext()`
    `juzu.impl.request.Method` | `getMethod()`
    `Map<String,RequestParameter>` | `getParameters()`
    `abstract Phase` | `getPhase()`
    `<T> T` | `getProperty(PropertyType<T> propertyType)`
    `Response` | `getResponse()`
    `SecurityContext` | `getSecurityContext()`
    `UserContext` | `getUserContext()`
    `void` | `setResponse(Response response)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestContext

          public RequestContext(juzu.impl.request.Request request,
                        juzu.impl.request.Method method)

  - ### Method Detail

    - #### getMethod

          public juzu.impl.request.Method getMethod()

    - #### getParameters

          public Map<String,RequestParameter> getParameters()

    - #### getHttpContext

          public HttpContext getHttpContext()

    - #### getSecurityContext

          public SecurityContext getSecurityContext()

    - #### getUserContext

          public UserContext getUserContext()

    - #### getApplicationContext

          public ApplicationContext getApplicationContext()

    - #### getProperty

          public <T> T getProperty(PropertyType<T> propertyType)

    - #### getExecutor

          public Executor getExecutor()

      Provide an `Executor` the specified modes.

    - #### getPhase

          public abstract Phase getPhase()

    - #### createDispatch

          public Dispatch createDispatch(juzu.impl.request.Method<?> method)

      Create a dispatch object with unset parameters.
      Parameters:
        `method` - the method descriptor
      Returns:
        the corresponding dispatch object

    - #### createActionDispatch

          public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.Method<Phase.Action> method)

    - #### createActionDispatch

          public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.Method<Phase.Action> method,
                                                   Object arg)

    - #### createActionDispatch

          public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.Method<Phase.Action> method,
                                                   Object[] args)

    - #### createViewDispatch

          public Phase.View.Dispatch createViewDispatch(juzu.impl.request.Method<Phase.View> method)

    - #### createViewDispatch

          public Phase.View.Dispatch createViewDispatch(juzu.impl.request.Method<Phase.View> method,
                                               Object arg)

    - #### createViewDispatch

          public Phase.View.Dispatch createViewDispatch(juzu.impl.request.Method<Phase.View> method,
                                               Object[] args)

    - #### createResourceDispatch

          public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method)

    - #### createResourceDispatch

          public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method,
                                                       Object arg)

    - #### createResourceDispatch

          public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.Method<Phase.Resource> method,
                                                       Object[] args)

    - #### getResponse

          public Response getResponse()

    - #### setResponse

          public void setResponse(Response response)

Copyright © 2013 eXo Platform SAS. All Rights Reserved.